<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/printerNameArea"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:textSize="17sp"
                    android:textStyle="bold"
                    android:textColor="@android:color/black"
                    android:gravity="center_vertical"
                    android:id="@+id/printer_name_text"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="5dp"
                    android:text="@string/epsonconnect_str_printer_name" />

                <FrameLayout
                    android:id="@+id/printer_name_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="5dp"
                    android:layout_marginRight="5dp">

                    <EditText
                        android:textSize="18dp"
                        android:id="@+id/printer_name_edit"
                        android:background="@drawable/setting_border"
                        android:paddingLeft="5dp"
                        android:paddingTop="5dp"
                        android:paddingRight="35dp"
                        android:paddingBottom="5dp"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:singleLine="true"
                        android:maxLength="63" />

                    <Button
                        android:textColor="@color/black"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/clear_printer_name_btn"
                        android:background="@drawable/clear_text"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginRight="5dp" />
                </FrameLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/iPAdressArea"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:textSize="17sp"
                    android:textStyle="bold"
                    android:textColor="@android:color/black"
                    android:gravity="center_vertical"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="20dp"
                    android:text="@string/str_ipprinter_ip" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="5dp"
                    android:layout_marginRight="5dp">

                    <EditText
                        android:textSize="18sp"
                        android:id="@+id/printer_ip_address_edit"
                        android:background="@drawable/setting_border"
                        android:paddingLeft="5dp"
                        android:paddingTop="5dp"
                        android:paddingRight="35dp"
                        android:paddingBottom="5dp"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:singleLine="true"
                        android:maxLength="15" />

                    <Button
                        android:textColor="@color/black"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/clear_printer_ip_address_btn"
                        android:background="@drawable/clear_text"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginRight="5dp" />
                </FrameLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
